Skip to main content
GET
Get buyer
This endpoint requires the buyers.read scope. The buyers.billing-details.read scope is needed to see all personally identifiable information.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

buyer_id
string<uuid>
required

The unique ID for a buyer.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

Response

Returns the information about a buyer.

type
enum<string>

The type of this resource. Is always buyer.

Available options:
buyer
Example:

"buyer"

id
string<uuid>

The unique Gr4vy ID for this buyer.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

billing_details
Billing details · object | null

The billing details associated with a buyer.

created_at
string<date-time>

The date and time when this buyer was created in our system.

Example:

"2013-07-16T19:23:00.000+00:00"

display_name
string | null

A unique name for this buyer which is used in the Gr4vy admin panel to give a buyer a human readable name.

Required string length: 1 - 200
Example:

"John L."

external_identifier
string | null

An external identifier that can be used to match the buyer against your own records.

Required string length: 1 - 200
Example:

"user-789123"

merchant_account_id
string

The unique ID for a merchant account.

Example:

"default"

updated_at
string<date-time>

The date and time when this buyer was last updated in our system.

Example:

"2013-07-16T19:23:00.000+00:00"

account_number
string | null

The source account number to perform an account funding transaction.

Required string length: 1 - 255
Example:

"1234567"